%define		pkgname		simplepie
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	atomlib.php - Atom Syndication Format PHP Library
Name:		php-atomlib
Version:	0.4
Release:	3
License:	Apache v2.0
Group:		Development/Languages/PHP
# svn --ignore-externals co http://phpatomlib.googlecode.com/svn/trunk/ phpatomlib
# tar --exclude-vcs -cjf phpatomlib-$(svnversion phpatomlib).tar.bz2 phpatomlib --exclude=feedvalidator-results
# ../dropin phpatomlib-$(svnversion phpatomlib).tar.bz2 &
Source0:	phpatomlib-7.tar.bz2
# Source0-md5:	5bd976c57a0a8b7a2a3a6c6f6e03ca7b
Patch0:		istext.patch
URL:		http://code.google.com/p/phpatomlib/
BuildRequires:	rpm-build >= 4.4.9-96
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(macros) >= 1.461
Requires:	php(core) >= %{php_min_version}
Requires:	php(xml)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional php dependencies
%define		_noautophp	%{nil}

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
This project was created in order to provide a more complete PHP
library to efficiently parse Atom Feeds.

%prep
%setup -q -n phpatomlib
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a lib/atomlib.php $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_data_dir}/atomlib.php
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 80f1e70
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> c65272d
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Thu May 20 2010 Elan Ruusamäe <glen@pld-linux.org> bb4307e
- md5

* Thu May 20 2010 Elan Ruusamäe <glen@pld-linux.org> 7167c88
- new

